<?php
$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_4cabd5d7713c30b34" . "f152bca7e16cd6c" => base64_decode("bmV3c19m" . "ZWVkcw=="), "_aa7e860da1acd4e767e0" . "df9d7d407380" => base64_decode("ZGF0ZV9jcmVhdGV" . "k"), "_49c48a113fcc4b94b82e29c74" . "e01e7bd" => base64_decode("ZmVlZF9rZXkgZXE6c3R" . "yOmtleQ=="), "channel" . "s" => base64_decode("Y2hhbm5lb" . "HM="), "tit" . "le" => base64_decode("dGl0bG" . "U="), "i" . "d" => base64_decode("aWQ" . "="), "_c0f286e93ebdcaa4" . "27b44ec29413392b" => base64_decode("ZmVl" . "ZF9r" . "ZXk="), "_022eeb17ad2461" . "a772886fe0f5575" . "520" => base64_decode("Y3JlYXRvcg=" . "="));
use Claromentis\Core\DAL;




class NewsFeed extends ActiveRecord
{
    
    
    
    
    
    
    public static function LoadByKey($key)
    {
        $_25b9db1c0742750fdff46948cbf57c67 = new NewsFeed();
        $_c0a4245f295a91f607925636fb789046 = ObjectsStorage::I()->GetMultiple(new NewsFeed(), new DAL\QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_49c48a113fcc4b94b82e29c74" . "e01e7bd"], $key), 1);
        return empty($_c0a4245f295a91f607925636fb789046[0]) ? null : $_c0a4245f295a91f607925636fb789046[0];
    }
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4cabd5d77" . "13c30b34f1" . "52bca7e16c" . "d6c"], $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["t" . "i" . "t" . "l" . "e"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["ch" . "an" . "ne" . "ls"], ObjectsStorage::T_STRING);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_c0f286e93ebdcaa427b44ec29413392" . "b"], ObjectsStorage::T_STRING, 20);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_aa7e860da1acd4e767e0" . "df9d7d407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_022eeb17ad2461a772" . "886fe0f5575520"], ObjectsStorage::T_INT);
    }
    public function __set($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value)
    {
        return $this->SetProperty($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value);
    }
}